#include<iostream>
#include<algorithm>
#define endl '\n'
using namespace std;
long long n,t,rez=0,r=0,l=0;
struct str
{
    int x,y;
}p[100005];
long long ab(long long a)
{
    if(a<0) return -a;
    return a;
}
bool cmp1(str a,str b)
{
    return a.x<b.x;
}
bool cmp2(str a,str b)
{
    return a.y<b.y;
}
int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    cin>>n;

     for(int i=0;i<n;i++)
    {
       cin>>p[i].x>>p[i].y;
    }

    sort(p,p+n,cmp1);
    for(int i=1;i<n;i++)
    {
        t=p[i].x-p[i-1].x;

        r+=i*t*t;
        r+=2*t*l;
        l+=i*t;

        rez+=r;
    }
    l=0;r=0;
    sort(p,p+n,cmp2);
     for(int i=1;i<n;i++)
    {
        t=p[i].y-p[i-1].y;

        r+=i*t*t;
        r+=2*t*l;
        l+=i*t;

        rez+=r;
    }

    cout<<rez<<endl;
}

